#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'rekanan.edit_izin_usaha'}
#{/set}
<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /} 
 <div class="content">
	 #{notifMigrasiSikap /}
    #{alert /}
    #{form @rekanan.IjinUsahaCtr.simpan(), method:'POST', enctype:'multipart/form-data'}
		#{if ijin?.ius_id} 
            <input type="hidden" name="ijin_usaha.ius_id" value="${ijin.ius_id}" />
         #{/if}  
       
      <div class="row">
    	<div class="col-md-6">
    		 <div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Jenis Izin <span class="warning">*</span></label>
		    	<div class="col-lg-8">
		    		<input type="text" name="ijin_usaha.jni_nama" value="${ijin?.jni_nama}" class="form-control #{validate 'ijin_usaha.jni_nama'/}">
		    		 <div class="invalid-feedback">#{error 'ijin_usaha.jni_nama' /}</div>
		    	</div>
  			</div> 
  			<div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Berlaku Sampai <span class="warning">*</span></label>
		    	<div class="col-lg-8">
				    <div class="form-check form-check-inline">
					    <input class="form-check-input" type="radio" id="opt_tanggal" name="ijin_usaha.status_berlaku" value=0 #{if ijin?.status_berlaku==0} checked="true" #{/if}>
						<label class="form-check-label">Tanggal </label>
					</div>
				    <div class="form-check form-check-inline">
					    <input class="form-check-input" type="radio" id="opt_seumurhidup" name="ijin_usaha.status_berlaku" value=1 #{if ijin?.status_berlaku==1} checked="true" #{/if}>
						<label class="form-check-label">Seumur Hidup</label>
				    </div>
				    <br/>
		    		 <div class="input-group date datepicker width-normal" style="display: none" id="div-ius-berlaku">
                        <input name="ijin_usaha.ius_berlaku" type="text" value="${ijin?.ius_berlaku?.toDatepicker()}" class="form-control datepicker #{validate 'ijin_usaha.ius_berlaku'/}"/>
						 <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						 <div class="invalid-feedback">#{error 'ijin_usaha.ius_berlaku' /}</div>
                    </div>
		    	</div>
  			</div> 
  			<div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Klasifikasi</label>
		    	<div class="col-lg-8">
		    		<textarea cols="80" name="ijin_usaha.ius_klasifikasi" class="form-control">${ijin?.ius_klasifikasi}</textarea>
		    	</div>
  			</div>
	  </div>
	  
  		<div class="col-md-6">
  			<div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Nomor Surat <span class="warning">*</span></label>
		    	<div class="col-lg-8">
		    		<input type="text" name="ijin_usaha.ius_no" value="${ijin?.ius_no}" class="form-control #{validate 'ijin_usaha.ius_no'/}">
		    			 <div class="invalid-feedback">#{error 'ijin_usaha.ius_no' /}</div>
		    	</div>
  			</div> 
  			<div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Instansi Pemberi <span class="warning">*</span></label>
		    	<div class="col-lg-8">
		    		<input type="text" name="ijin_usaha.ius_instansi" value="${ijin?.ius_instansi}" class="form-control #{validate 'ijin_usaha.ius_instansi'/}">
		    		<div class="invalid-feedback">#{error 'ijin_usaha.ius_instansi' /}</div>
		    	</div>
  			</div> 
  			<div class="form-group row">
		    	<label class="col-lg-4 col-form-label">Kualifikasi <span class="warning">*</span></label>
		    	<div class="col-lg-8">
		    		#{selectKualifikasi 'ijin_usaha.kls_id', value:ijin.kualifikasi.id /}
		    		<div class="invalid-feedback">#{error 'ijin_usaha.kls_id' /}</div>
		    	</div>
  			</div> 
  		</div>
    </div>   
     <div class="form-group row">
	    <div class="col-lg-offset-2 col-lg-10">
	    	#{if active_user.canEditDataPenyedia}
	      	#{saveButton /}
	      	#{/if}
   			#{backButton action:@rekanan.IjinUsahaCtr.list()/}
	    </div>
  	</div>   	
   #{/form}
     <div class="bs-callout bs-callout-warning">
         <span class="warning">*</span> Data ini wajib diisi.
    </div> 
</div>


#{set 'custom_script'}
<script type="text/javascript">
	$(document).on('click', '.removeBtn', function () {
		$(this).parent().parent().remove()
	})

	#{if !active_user.canEditDataPenyedia}
		$(document).ready(function () {
			$("form input").attr('disabled', 'disabled');
			$("form textarea").attr('disabled', 'disabled');
			$("form select").attr('disabled', 'disabled');
			$("form button.btn-simpan").attr('disabled', 'disabled');
			$(".removeBtn").hide();
		});
	#{/if}
	#{else}
		$("input[name='ijin_usaha.status_berlaku']").change(function () {
			if($(this).val()==0){
				$("#div-ius-berlaku").show();
			}else{
				$("#div-ius-berlaku").hide();
			}
		});
	#{/else}

	#{if ijin?.status_berlaku==0}
		$("#div-ius-berlaku").show();
	#{/if}
</script>
#{/set}